Attribute VB_Name = "Module1"

Public Declare Function InterfaceInit Lib _
 "ZCAN4USBFX.dll" _
   (ByVal Interfacenum As Byte, ByVal BaudRate As Byte, _
    ByVal Interrupt As Byte, ByVal BaseAddress As Integer) As Integer

Public Declare Function SetCANBaud Lib _
 "ZCAN4USBFX.dll" _
  (ByVal Interfacenum As Byte, ByVal DeviceNum As Byte, ByVal Baud As Integer) As Integer

Public Declare Function GetInfo Lib _
 "ZCAN4USBFX.dll" _
   (ByVal Interfacenum As Byte, ByVal DeviceNum As Byte, ByRef Version As Byte _
  , ByRef Feature As Byte, ByRef Manufact As Byte, ByRef CANCont As Byte) As Integer

Public Declare Function ResetInterface Lib _
 "ZCAN4USBFX.dll" _
   (ByVal Interfacenum As Byte, ByVal DeviceNum As Byte) As Integer

Public Declare Function SendCANMess Lib _
 "ZCAN4USBFX.dll" _
   (ByVal Interfacenum As Byte, ByVal DeviceNum As Byte, _
    ByVal ID As Long, ByVal CB1 As Byte, ByVal CB2 As Byte, ByRef buffer As Byte) As Integer

Public Declare Function ReadReg Lib _
 "ZCAN4USBFX.dll" _
   (ByVal Interfacenum As Byte, ByVal DeviceNum As Byte, ByVal Address As Byte, ByVal NumBytes As Byte, ByRef buffer As Byte) As Integer

Public Declare Function WriteReg Lib _
 "ZCAN4USBFX.dll" _
   (ByVal Interfacenum As Byte, ByVal DeviceNum As Byte, ByVal Address As Byte _
   , ByVal NumBytes As Byte, ByRef buffer As Byte) As Integer

Public Declare Function RecCANMess Lib _
 "ZCAN4USBFX.dll" _
  (ByVal Interfacenum As Byte, ByVal DeviceNum As Byte, ByVal ID As Long, ByVal CB1 As Byte) As Integer

Public Declare Function GetNumCANMess Lib _
 "ZCAN4USBFX.dll" _
   (ByVal Interfacenum As Byte, ByVal DeviceNum As Byte) As Integer

Public Declare Function GetCANMess Lib _
 "ZCAN4USBFX.dll" _
   (ByVal Interfacenum As Byte, ByVal DeviceNum As Byte, ByRef buffer As Byte) As Integer

Public Declare Function ClearCANMess Lib _
 "ZCAN4USBFX.dll" _
   (ByVal Interfacenum As Byte, ByVal DeviceNum As Byte) As Integer

Public Declare Function SetFilters Lib _
 "ZCAN4USBFX.dll" _
   (ByVal Interfacenum As Byte, ByVal DeviceNum As Byte, _
    ByVal FilterNum As Byte, ByVal FilterVal As Long) As Integer
    
Public Declare Function EnableTS Lib _
 "ZCAN4USBFX.dll" _
   (ByVal Interfacenum As Byte, ByVal DeviceNum As Byte) As Integer
    
Public Declare Function DisableTS Lib _
 "ZCAN4USBFX.dll" _
   (ByVal Interfacenum As Byte, ByVal DeviceNum As Byte) As Integer

Public Declare Function NewInterface Lib _
 "ZCAN4USBFX.dll" _
   (ByVal Interfacenum As Byte) As Integer
   
Public Declare Function SetLEDPattern Lib _
 "ZCAN4USBFX.dll" _
   (ByVal Interfacenum As Byte, ByVal DeviceNum As Byte, _
   ByVal Mode As Byte, ByRef Pattern As Byte) As Integer
   
   







Function hexconvert(strng$)
v$ = UCase(strng$)
length = Len(v$)
If length = 1 Then mult& = &H1
If length = 2 Then mult& = &H10
If length = 3 Then mult& = &H100
If length = 4 Then mult& = &H1000

Value = 0
For x = 1 To length
 If ((Mid$(v$, x, 1) >= "A") And (Mid$(v$, x, 1) <= "F")) Then
  tmp = Asc(Mid$(v$, x, 1))
  tmp = tmp - 55       'convert asc to hex value
  tmp = tmp * mult&
  Value = Value + tmp
 Else
  Value = Value + mult& * Val(Mid$(v$, x, 1))
 End If
mult& = mult& / &H10
Next x

hexconvert = Value
End Function

